commit:     b5d90e75c2af4a473e9166cccb915f91ec5d5f32
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 10 02:51:20 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Aug 10 02:59:24 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5d90e75

app-backup/backintime: add 1.3.1

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-backup/backintime/Manifest                     |  1 +
 ...kintime-9999.ebuild => backintime-1.3.1.ebuild} | 31 ++++++++++++----------
 app-backup/backintime/backintime-9999.ebuild       | 26 +++++++++---------
 3 files changed, 32 insertions(+), 26 deletions(-)

diff --git a/app-backup/backintime/Manifest b/app-backup/backintime/Manifest
index 558b875d3b7..6c8ad7caafb 100644
--- a/app-backup/backintime/Manifest
+++ b/app-backup/backintime/Manifest
@@ -1 +1,2 @@
 DIST backintime-1.2.1.tar.gz 713853 BLAKE2B 
0f05d6cdc04a41ec9737badb8693c1270bb1333b2986fce925625ba2d7be05de0630ff5f59a7b5854a38ba382d6992df1ffc4e1cb584cae0e2618b877db4f06b
 SHA512 
91dbc76a7db81469c5a538be03196c8e307d13307486d8e1c6cad10ce0af399de495f0292fecffc2853ed78804b5899750f06f274b4701efe3af6a708ea1024e
+DIST backintime-1.3.1.tar.gz 714401 BLAKE2B 
5b6a294d5a22ee3928725caf1a9895b665bfcddd6b779355cd7f7e58b5a201c3d2158ef4b30fb73eb4525c1a54cacf878397874f28b06798b7bfd973df467a39
 SHA512 
faac8552748da75db62cf7fa7eea686fd8b262016d1072f432fff54a6c0c72929650582870b4c56efbaa4ef5984acaece9e1d76eb72abcce91c6fc92d34d52ad

diff --git a/app-backup/backintime/backintime-9999.ebuild 
b/app-backup/backintime/backintime-1.3.1.ebuild
similarity index 80%
copy from app-backup/backintime/backintime-9999.ebuild
copy to app-backup/backintime/backintime-1.3.1.ebuild
index 606f837db53..8a5153c4753 100644
--- a/app-backup/backintime/backintime-9999.ebuild
+++ b/app-backup/backintime/backintime-1.3.1.ebuild
@@ -5,15 +5,15 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{8..9} )
 
-inherit python-single-r1 git-r3 xdg
+inherit python-single-r1 xdg
 
 DESCRIPTION="Backup system inspired by TimeVault and FlyBack"
 HOMEPAGE="https://backintime.readthedocs.io/en/latest/ 
https://github.com/bit-team/backintime/";
-EGIT_REPO_URI="https://github.com/bit-team/backintime/";
+SRC_URI="https://github.com/bit-team/${PN}/releases/download/${PV}/${P}.tar.gz";
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS=""
+KEYWORDS="~amd64 ~x86"
 IUSE="examples qt5"
 
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
@@ -22,49 +22,52 @@ DEPEND="${PYTHON_DEPS}
        $(python_gen_cond_dep '
                dev-python/dbus-python[${PYTHON_USEDEP}]
                dev-python/keyring[${PYTHON_USEDEP}]
-       ')
+       ')"
+RDEPEND="${DEPEND}
        net-misc/openssh
        net-misc/rsync[xattr,acl]
-"
-RDEPEND="${DEPEND}
-       qt5? ( dev-python/PyQt5[gui,widgets] )
-"
+       qt5? ( dev-python/PyQt5[gui,widgets] )"
 
 PATCHES=( "${FILESDIR}/${PN}-1.2.1-no-compress-docs-examples.patch" )
 
 src_configure() {
        pushd common > /dev/null || die
-               ./configure --python3 --no-fuse-group || die
+       # Not autotools
+       ./configure --python3 --no-fuse-group || die
        popd > /dev/null || die
+
        if use qt5 ; then
                pushd qt > /dev/null || die
-                       ./configure --python3 || die
+               ./configure --python3 || die
                popd > /dev/null || die
        fi
 }
 
 src_compile() {
        pushd common > /dev/null || die
-               emake
+       emake
        popd > /dev/null || die
+
        if use qt5 ; then
                pushd qt > /dev/null || die
-                       emake
+               emake
                popd > /dev/null || die
        fi
 }
 
 src_install() {
        pushd common > /dev/null || die
-               emake DESTDIR="${D}" install
+       emake DESTDIR="${D}" install
        popd > /dev/null || die
+
        if use qt5 ; then
                pushd qt > /dev/null || die
-                       emake DESTDIR="${D}" install
+               emake DESTDIR="${D}" install
                popd > /dev/null || die
        fi
 
        einstalldocs
+
        if use examples ; then
                docinto examples
                dodoc common/{config-example-local,config-example-ssh}

diff --git a/app-backup/backintime/backintime-9999.ebuild 
b/app-backup/backintime/backintime-9999.ebuild
index 606f837db53..ec4851aa691 100644
--- a/app-backup/backintime/backintime-9999.ebuild
+++ b/app-backup/backintime/backintime-9999.ebuild
@@ -13,7 +13,6 @@ EGIT_REPO_URI="https://github.com/bit-team/backintime/";
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS=""
 IUSE="examples qt5"
 
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
@@ -22,49 +21,52 @@ DEPEND="${PYTHON_DEPS}
        $(python_gen_cond_dep '
                dev-python/dbus-python[${PYTHON_USEDEP}]
                dev-python/keyring[${PYTHON_USEDEP}]
-       ')
+       ')"
+RDEPEND="${DEPEND}
        net-misc/openssh
        net-misc/rsync[xattr,acl]
-"
-RDEPEND="${DEPEND}
-       qt5? ( dev-python/PyQt5[gui,widgets] )
-"
+       qt5? ( dev-python/PyQt5[gui,widgets] )"
 
 PATCHES=( "${FILESDIR}/${PN}-1.2.1-no-compress-docs-examples.patch" )
 
 src_configure() {
        pushd common > /dev/null || die
-               ./configure --python3 --no-fuse-group || die
+       # Not autotools
+       ./configure --python3 --no-fuse-group || die
        popd > /dev/null || die
+
        if use qt5 ; then
                pushd qt > /dev/null || die
-                       ./configure --python3 || die
+               ./configure --python3 || die
                popd > /dev/null || die
        fi
 }
 
 src_compile() {
        pushd common > /dev/null || die
-               emake
+       emake
        popd > /dev/null || die
+
        if use qt5 ; then
                pushd qt > /dev/null || die
-                       emake
+               emake
                popd > /dev/null || die
        fi
 }
 
 src_install() {
        pushd common > /dev/null || die
-               emake DESTDIR="${D}" install
+       emake DESTDIR="${D}" install
        popd > /dev/null || die
+
        if use qt5 ; then
                pushd qt > /dev/null || die
-                       emake DESTDIR="${D}" install
+               emake DESTDIR="${D}" install
                popd > /dev/null || die
        fi
 
        einstalldocs
+
        if use examples ; then
                docinto examples
                dodoc common/{config-example-local,config-example-ssh}

Reply via email to